User avatar
VascoFerraz
Posts: 83
Joined: Thu Aug 30, 2012 11:54 am

Error: Timeout was reached

Sat Dec 24, 2016 2:20 pm

Hi,

Any ideas what is going on?

Code: Select all

pi@raspberrypi-3:~ $ sudo apt-get update
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://mirrordirector.raspbian.org jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Error: Timeout was reached
Reading package lists... Done

Code: Select all

pi@raspberrypi-3:~ $ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libxml2
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 705 kB of archives.
After this operation, 4,096 B disk space will be freed.
Do you want to continue? [Y/n] Y
Get:1 http://mirrordirector.raspbian.org/raspbian/ jessie/main libxml2 armhf                                                                                 2.9.1+dfsg1-5+deb8u4 [705 kB]
Fetched 705 kB in 2s (303 kB/s)
Reading changelogs... Done
(Reading database ... 112056 files and directories currently installed.)
Preparing to unpack .../libxml2_2.9.1+dfsg1-5+deb8u4_armhf.deb ...
Unpacking libxml2:armhf (2.9.1+dfsg1-5+deb8u4) over (2.9.1+dfsg1-5+deb8u3) ..                                                                                .
Setting up libxml2:armhf (2.9.1+dfsg1-5+deb8u4) ...
Processing triggers for libc-bin (2.19-18+deb8u6) ...
Error: Timeout was reached
Thank you so much,

Vasco Ferraz
Vasco Ferraz

User avatar
DougieLawson
Posts: 40184
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: Error: Timeout was reached

Sat Dec 24, 2016 2:50 pm

Your network is broken.
Criticising any questions is banned on this forum.

Any DMs sent on Twitter will be answered next month.
All fake doctors are on my foes list.

Note: Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

User avatar
VascoFerraz
Posts: 83
Joined: Thu Aug 30, 2012 11:54 am

Re: Error: Timeout was reached

Sat Dec 24, 2016 6:41 pm

Solved with:
sudo aptitude -f
Then:
Actions -> Update package list
Actions -> Cancel pending actions
Actions -> Clean package cache
Vasco Ferraz

User avatar
VascoFerraz
Posts: 83
Joined: Thu Aug 30, 2012 11:54 am

Re: Error: Timeout was reached

Mon May 08, 2017 4:54 pm

I am experiencing again this issue and I have no idea how to solve it.
Vasco Ferraz

loadbang
Posts: 36
Joined: Mon Aug 13, 2012 4:56 pm

Re: Error: Timeout was reached

Wed Jun 07, 2017 5:45 pm

I'm getting this across three RPi3's I have.

Tried 'apt-get clean', 'dpkg --configure -a', 'apt-get -f install'. Still get this error, but with different packages on each RPi.

Code: Select all

Preparing to unpack .../perl_5.20.2-3+deb8u7_armhf.deb ...
Unpacking perl (5.20.2-3+deb8u7) over (5.20.2-3+deb8u6) ...
dpkg: error processing archive /var/cache/apt/archives/perl_5.20.2-3+deb8u7_armhf.deb (--unpack):
 unable to create `/usr/share/man/man1/c2ph.1.gz.dpkg-new' (while processing `./usr/share/man/man1/c2ph.1.gz'): Structure needs cleaning
Processing triggers for man-db (2.7.0.2-5) ...
Errors were encountered while processing:
 /var/cache/apt/archives/perl_5.20.2-3+deb8u7_armhf.deb
Error: Timeout was reached
E: Sub-process /usr/bin/dpkg returned an error code (1)

Return to “Troubleshooting”